Update an ObligationAsk AIpatch https://na1.ironcladapp.com/public/api/v1/obligations/{id}Update an existing obligation. OAuth Scope required: public.obligations.updateObligationsPath ParamsidstringrequiredThe ID or Ironclad ID of the Obligation to update.Body Paramsnamestringlength ≥ 1The name of the obligationaddPropertiesobjectA key:value map of properties to add. More details on the properties can be found in the Obligation Properties article.addProperties objectremovePropertiesarray of stringslength ≥ 1A list of property keys to remove from the obligation. More details on the properties can be found in the Obligation Properties article.removeProperties stringADD stringobligationTypeKeyarray of stringslength between 1 and 1The key of the obligation type to be added to the obligation. Only one obligation type can be added or updated per obligation, currently. More info on obligation types can be found in the Obligation Types article.obligationTypeKey stringHeadersx-as-user-emailstringDenotes the actor of the request. When used, the API will take into account this user's permissions and access. This or x-as-user-id is required when the associated token was produced from the Client Credentials grant or with legacy bearer tokens on select endpoints. More information about permissions.x-as-user-idstringDenotes the actor of the request. When used, the API will take into account this user's permissions and access. This or x-as-user-email is required when the associated token was produced from the Client Credentials grant or with legacy bearer tokens on select endpoints. More information about permissions.Responses 200200 400400 401401 403403 404404Updated 7 months ago